1. Account Validation
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Account Validation

Find Account Validation Status by SystemTraceAuditNumber

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/account/query
This is a GET request that is used to check the status of an Account Validation Request using a generated SystemTraceAuditNumber by the consumer.

Sample Response#

{
  "validationType": 1,
  "validationTypeDesc": "Mobile",
  "accountNumber": "+254714653433",
  "accountNumberCCY": "KES",// currency in which the account number transacts
  "institutionCode": "63902", // institution number, either mobile mccmnc or bank code
  "countryCode": "KE",
  "callbackURL": "https://eo2j2658kmohqiy.m.pipedream.net",
  "status": 4,
  "statusDesc": "Completed",
  "systemTraceAuditNumber": "f9445f06-2a9a-456e-98a0-5f9db5d3a202",
  "conversationID": "AG_20230720_2010431240a6879fd40b",//unique Id from Mobile Provider
  "responseCode": "0",
  "responseDesc": "Accept the service request successfully.",
  "resultCode": "0",
  "resultDesc": "The service request is processed successfully.",
  "transactionID": "RGK71AERRN",
  "transactionCreditParty": "254702900800 - JOHN DOE",//Contains the details for the validated primary account number
  "createdDate": "2023-08-03T06:01:21.15"
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/account/query?stan=undefined'
Response Response Example
{}
Modified at 2026-01-29 06:18:39
Previous
Account Validation
Next
Overview
Built with